;(function($) {
/////////////////////////////////////////////////////////////////////////////
//// ■ ユーザー設定 ■ ////
// ★PHP設置ディレクトリURL（絶対パス指定）
var scriptdir = "http://homepage/cgi-bin/mwhm/";

//// ■ ※以下任意変更 ■ ////
// ◆CSSファイル保存ディレクトリ
var cssdir = "css/";

// ◆画像ファイル保存ディレクトリ
var imgdir = "img/";

// ◆PHPファイル
var mwhmphp = "mwhm.php";

// ◆CSSファイル
var mwhmcss = "mwhm.css";

// ◆Loading画像
var loadingimg = "loading.gif";

// ◆閉じる画像
var closeimg = "close.png";

// ◆閉じる画像（ホバー）
var close_hvimg = "close_h.png";

/////////////////////////////////////////////////////////////////////////////
//■ 以下スクリプト ■//
/////////////////////////////////////////////////////////////////////////////
	var phpurl = scriptdir + mwhmphp;
	var cssurl = scriptdir + cssdir + mwhmcss;
	var loadingurl = scriptdir + imgdir + loadingimg;
	var closeurl = scriptdir + imgdir + closeimg;
	var close_hvurl = scriptdir + imgdir + close_hvimg;

	$('head').append('<link rel="stylesheet" type="text/css" href="' + cssurl + '">');

	$(function(){
		$('div.mwhm_point').html('<img src="' + loadingurl + '" width="15" height="15" class="mwhm_loading" />')
		.each(function() {
			var obj = $(this);
			$.ajax({
				type: "GET",
				url: phpurl,
				dataType: "html",
				data: {
					"id" : obj.prop('id')
				},
				success: function(data) {
					if (!data) {
						return;
					}
					obj.children('img.mwhm_loading').hide()
					.end().prepend(data)
					.find('img.mwhm_close').prop('src', closeurl);
				}
			});
		})
		.end().find('button.mwhm_clapbutton').live("click", function() {
			$(this).prop('disabled', true);

			var thisctn = $(this).parent();
			thisctn.find('img.mwhm_loading').show();

			$.ajax({
				type: "POST",
				url: phpurl,
				dataType: "html",
				data: { 
					"mode": "clap_write",
					"id" : thisctn.prop('id')
				},
				success: function(data) {
					if (!data) {
						return;
					} else if (data == '_CLAPPING_OVER_') {
						thisctn.find('img.mwhm_loading').hide();
						alert('拍手限度を超えています。');
						return;
					}
					thisctn.find('span#count').html(data)
					.end().find('div#message').show()
					.end().find('img.mwhm_loading').hide();

					$(this).prop('disabled', false);
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					this;
					alert('Error : ' + errorThrown);
				}
			});
		})
		.end().find('input.mwhm_submit').live("click", function() {
			var thisctn = $(this).parent();

			var name = thisctn.find('input#name').val();
			var eval = thisctn.find('select#eval option:selected').val();
			var tkbn = thisctn.find('select#tkbn option:selected').val();
			var txtbox = thisctn.find('textarea#txtbox').val();

			if (!name && !eval && !tkbn && !txtbox) {
				alert('項目が全て未入力です。');
				return;
			}

			thisctn.find('input#name').val('')
			.end().find('select#eval').prop('selectedIndex', 0)
			.end().find('select#tkbn').prop('selectedIndex', 0)
			.end().find('textarea#txtbox').val('');

			$(this).prop('disabled', true);

			$.ajax({
				type: "POST",
				url: phpurl,
				dataType: "html",
				data: { 
					"mode": "message_write",
					"id" : thisctn.parent().prop('id'),
					"name" : name,
					"eval" : eval,
					"tkbn" : tkbn,
					"message" : txtbox
				},
				success: function(data) {
					thisctn.find('span#done').html(data);
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					this;
					alert('Error : ' + errorThrown);
				}
			});
		})
		.end().find('img.mwhm_close').live({
			mouseenter:function() {
				$(this).prop('src', close_hvurl);
			},
			mouseleave:function() {
				$(this).prop('src', closeurl);
			}
		})
		.live("click", function() {
			var thisctn = $(this).parent();

			thisctn.find('input.mwhm_submit').prop('disabled', false)
			.end().find('input#name').val('名前')
			.end().find('select#eval').prop('selectedIndex', 0)
			.end().find('select#tkbn').prop('selectedIndex', 0)
			.end().find('textarea#txtbox').val('')
			.end().find('span#done').html('');

			thisctn.hide()
			.prevAll('button.mwhm_clapbutton').prop('disabled', false);

			return false;
		});
	});
})(jQuery);
