<?php
//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
//////■ 以下スクリプト ■////
//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
mb_language("japanese");
mb_internal_encoding("UTF-8");

// 曜日
$WEEK = array("日", "月", "火", "水", "木", "金", "土");

// 外部ファイル読み込み
$CSTM = array(); $PATH = array();
require_once('./config.php');
require_once('./jcode.php');

// 実行ファイル
$PATH['script'] = basename($_SERVER['SCRIPT_NAME']);

// ID名取得
$LABEL = array();
$INFILE = file($PATH['datadir'].$PATH['labeldat']);
foreach ($INFILE as $line) {
	list($id, $name) = explode("\t", rtrim($line, "\n"));
	$LABEL[$id] = $name;
}

// 処理分岐
if (!empty($_REQUEST['password'])) {
	if ($_REQUEST['password'] !== $mskey) {
		error('パスワードが違います。');
	}

	// クッキーセット
	$cktime = time() + 60 * 60 * 24 * 30;
	// パスワード
	if (!empty($_GET['cookie'])) {
		setcookie('password', $_REQUEST['password'], $cktime, '/', $_SERVER['SERVER_NAME']);
	}
	// ラベル表示
	if (isset($_GET['labelview'])) {
		$_REQUEST['labelview'] = ($_COOKIE['labelview'] == 1) ? '' : 1;
		setcookie('labelview', $_REQUEST['labelview'], $cktime, '/', $_SERVER['SERVER_NAME']);
	}
	// ホスト/IP表示
	if (isset($_GET['hostview'])) {
		$_REQUEST['hostview'] = ($_COOKIE['hostview'] == 1) ? '' : 1;
		setcookie('hostview', $_REQUEST['hostview'], $cktime, '/', $_SERVER['SERVER_NAME']);
	}
	// 配色
	if (!empty($_GET['color'])) {
		$_REQUEST['color'] = $_GET['color'];
		setcookie('color', $_GET['color'], $cktime, '/', $_SERVER['SERVER_NAME']);
	}

	// if ($_GET['mode'] === 'id_total') {
	//		id_total();
	// } else {
		top();
	// }
} else {
	login();
}

exit;
//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
// ▼ トップページ
//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
function top() {
	global $CSTM, $PATH;

	// $nowtime = time() + 9 * 60 * 60;
	$nowtime = time();
	$stttime = $nowtime;
	$endtime = $nowtime;

	if (!empty($_GET['datesel'])) {
		$stttime = mktime(0, 0, 0, $_GET['s_month'], $_GET['s_day'], $_GET['s_year']);
		$endtime = mktime(0, 0, 0, $_GET['e_month'], $_GET['e_day'], $_GET['e_year']);
	} elseif (!empty($_GET['specify'])) {
		if ($_GET['specify'] === 'yesterday') {
			$stttime -= 60 * 60 * 24;
		} elseif ($_GET['specify'] === 'week') {
			$stttime -= 60 * 60 * 24 * 6;
		} elseif ($_GET['specify'] === 'month') {
			$stttime = strtotime(date('Y-m-d').' -1 month');
		}
	} elseif (!empty($_GET['year']) && !empty($_GET['month']) && !empty($_GET['day'])) {
		$stttime = mktime(0, 0, 0, $_GET['month'], $_GET['day'], $_GET['year']);
		$endtime = $stttime;
	}

	$year = date("Y", $stttime);
	$month = date("n", $stttime);
	$day = date("j", $stttime);

	htmlheader(1);

	// ▼カレンダー
	echo '
	<div id="left">
		<table id="calendar">
		<caption>
		<a href="'.$PATH['script'].'?password='.$_REQUEST['password'].date('&\y\e\a\r=Y&\m\o\n\t\h=n&\d\a\y=d', strtotime(date('Y-m-d', $stttime).' -1 month')).'" title="back month" class="nav">&laquo;</a>
		'.date('Y年n月', $stttime).'
		<a href="'.$PATH['script'].'?password='.$_REQUEST['password'].date('&\y\e\a\r=Y&\m\o\n\t\h=n&\d\a\y=d', strtotime(date('Y-m-d', $stttime).' +1 month')).'" title="next month" class="nav">&raquo;</a>
		</caption>
		 <tr>
			<th id="sun">日</th>
			<th>月</th>
			<th>火</th>
			<th>水</th>
			<th>木</th>
			<th>金</th>
			<th id="sat">土</th>
		 </tr>
		';

		//月末の取得
		$l_day = date("j", mktime(0, 0, 0, $month + 1, 0, $year));

		$lc = 0;
		//月末分繰り返す
		for ($i = 1; $i < $l_day + 1;$i++) {
			$mktime = mktime(0, 0, 0, $month, $i, $year);
			//曜日の取得
			$week = date("w", $mktime);
			//曜日が日曜日の場合
			if ($week == 0) {
				echo '<tr>';
				$lc++;
			}
			//1日の場合
			if ($i == 1) {
				if($week != 0) {
					echo '<tr>';
					$lc++;
				}
				echo repeat($week);
			}
			echo '<td class="';
			if (((isset($_GET['datesel']) || isset($_GET['specify'])) && $mktime <= $endtime && $mktime >= $stttime) or $i == $day) {
				// 選択中の日
				echo 'focus';
			}
			if (date('Y-n-j', $mktime) === date('Y-n-j')) {
				//現在の日付の場合
				echo ' today';
			}
			echo '">';
			$dfile = $PATH['datadir'].$PATH['datedir'].sprintf("%04d/%02d-%02d", $year, $month, $i).'.dat';
			if (file_exists($dfile)) {
				// 拍手があった日
				echo '<a href="'.$PATH['script'].'?password='.$_REQUEST['password'].'&year='.$year.'&month='.$month.'&day='.$i.'">'.$i.'</a></td>';
			} else {
				echo $i.'</td>';
			}
			//月末の場合
			if ($i == $l_day) {
				echo repeat(6 - $week);
			}
			//土曜日の場合
			if($week == 6) {
				echo '</tr>';
			}
		}
		if($lc < 6) {
			echo '<tr>';
			echo repeat(7);
			echo '</tr>';
		}
		if($lc == 4) {
			echo '<tr>';
			echo repeat(7);
			echo '</tr>';
		}

		echo '
		</table>
		<div id="datesel">
			<hr />
			配色
			<select onchange="location.href=this.value;">
			<option value="'.$PATH['script'].'?password='.$_REQUEST['password'].'&color=defolt">デフォルト</option>
			<option value="'.$PATH['script'].'?password='.$_REQUEST['password'].'&color=white-brown"'.(($_REQUEST['color'] === 'white-brown') ? ' selected="selected"' : '').'>ホワイト／ブラウン</option>
			<option value="'.$PATH['script'].'?password='.$_REQUEST['password'].'&color=gray"'.(($_REQUEST['color'] === 'gray') ? ' selected="selected"' : '').'>グレイ</option>
			<option value="'.$PATH['script'].'?password='.$_REQUEST['password'].'&color=gray-blue"'.(($_REQUEST['color'] === 'gray-blue') ? ' selected="selected"' : '').'>グレイ／ブルー</option>
			<option value="'.$PATH['script'].'?password='.$_REQUEST['password'].'&color=black"'.(($_REQUEST['color'] === 'black') ? ' selected="selected"' : '').'>ブラック</option>
			<option value="'.$PATH['script'].'?password='.$_REQUEST['password'].'&color=black-white"'.(($_REQUEST['color'] === 'black-white') ? ' selected="selected"' : '').'>ブラック／ホワイト</option>
			<option value="'.$PATH['script'].'?password='.$_REQUEST['password'].'&color=green"'.(($_REQUEST['color'] === 'green') ? ' selected="selected"' : '').'>グリーン</option>
			<option value="'.$PATH['script'].'?password='.$_REQUEST['password'].'&color=pink"'.(($_REQUEST['color'] === 'pink') ? ' selected="selected"' : '').'>ピンク</option>
			</select>
			<hr />
		</div>
	</div>
	';

	echo '<div id="right">';

	// 処理分岐
	if ($_GET['mode'] === 'id_total') {
		// ▼ID一覧
		id_total();
	} elseif ($_POST['mode'] === 'id_new') {
		// ▼ID作成
		id_new();
	} elseif ($_POST['mode'] === 'id_edit') {
		// ▼ID名前変更
		id_edit();
	} elseif ($_GET['mode'] === 'id_delete') {
		// ▼ID削除
		id_delete();
	} elseif ($_GET['mode'] === 'config') {
		// ▼機能設定
		config();
	} else {
		// ▼日付別拍手
		datetotal($stttime, $endtime);
	}

	echo '</div>';

	htmlfooter();
}
function repeat($n) {
	return str_repeat("<td></td>\n", $n);
}

//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
// ▼ 日付別拍手
//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
function datetotal($stttime, $endtime) {
	global $WEEK, $CSTM, $PATH, $LABEL;

	$url = $PATH['script'].'?password='.$_REQUEST['password'].'&specify='.$_GET['specify'].'&datesel='.$_GET['datesel'].
			'&year='.$_GET['year'].'&month='.$_GET['month'].'&day='.$_GET['day'].
			'&s_year='.$_GET['s_year'].'&s_month='.$_GET['s_month'].'&s_day='.$_GET['s_day'].
			'&e_year='.$_GET['e_year'].'&e_month='.$_GET['e_month'].'&e_day='.$_GET['e_day'];

	$allclap = 0;
	$ttlclap = 0;
	$CLAPUSER = array();
	$page = (!empty($_GET['page'])) ? $_GET['page'] : 1;
	for ($t = $endtime; $t >= $stttime; $t -= 60 * 60 * 24) {
		$dayfile = $PATH['datadir'].$PATH['datedir'].date("Y/m-d", $t). '.dat';

		if (file_exists($dayfile)) {

			$DFILE = file($dayfile);

			foreach (array_reverse($DFILE) as $line) {
				list($time, $id, $host, $chain, $name, $eval, $message) = explode("\t", $line);

				if (
					(!empty($_GET['id']) && $_GET['id'] !== $id)
				or
					(!empty($_GET['host']) && $_GET['host'] !== $host)
				) continue;

				$allclap++;
				$ttlclap += $chain;

				if ($host !== 'none' && $host !== '') $CLAPUSER[$host] = 1;

				if (($page > 1 && $allclap <= (($page-1) * $CSTM['clappagemax'])) or $allclap > ($page * $CSTM['clappagemax'])) continue;

				// IDラベル
				$idlink = '<a href="'. $url. '&host='. $_GET['host']. '&id='. $id. '">'. $id. '</a>';
				if ($_REQUEST['labelview'] != 1 && !empty($LABEL[$id])) $idlink .= '['.$LABEL[$id].']';

				// 名前・評価
				$tmp = '<div>';
				if ($name !== '') $tmp .= '<b>'. $name. '</b>';
				if ($eval !== '') $tmp .= ' [評価: '. $eval. ']';

				// ホスト
				// 	<td><input type="text" value="'.$host.'" size="20" /></td>
				if ($_REQUEST['hostview'] != 1) $tmp .= ' [<a href="'. $url. '&id='. $_GET['id']. '&host='. $host. '">'. $host. '</a>]';
				$message .= $tmp. '</div>';

				$trtmp .= '
				<tr>
					<td>'. date("Y/m/d", $time). '('. $WEEK[date("w", $time)]. ')'. date(" H:i", $time). '</td>
					<td nowrap="nowrap">'. $idlink. '</td>
					<td><span style="color: #CC3333;">'. $chain. '</span></td>
					<td>'. $message. '</td>
				</tr>
				';
			}
		}
	}

	echo '
	<table id="claptable">
		<caption>日付別拍手</caption>
		<tr>
			<th>
			';

			if (!empty($_GET['datesel']) || !empty($_GET['specify'])) {
				echo date("Y年n月j日", $endtime).' ～ '.date("Y年n月j日", $stttime);
			} else {
				echo date("Y年n月j日", $stttime);
			}

			if (!empty($_GET['id'])) echo ' ID:'. $_GET['id'];
			if (!empty($_GET['host'])) echo ' ホスト/IP:'. $_GET['host'];


			echo ' 拍手人数: <span style="color: #CC3333;"><b>'. count($CLAPUSER). '</b></span>';
			echo ' 合計拍手: <span style="color: #CC3333;"><b>'. $ttlclap. '</b></span>';

			echo '
			<input type="button" value="ラベル'.(($_REQUEST['labelview'] == 1) ? '表示' : '非表示').'" onclick="location.href=\''.$url.'&labelview=1\';" />
			<input type="button" value="ホスト/IP'.(($_REQUEST['hostview'] == 1) ? '表示' : '非表示').'" onclick="location.href=\''.$url.'&hostview=1\';" />
			</th>
		</tr>
	</table>
	<table id="claptable">
		<tr>
			<th width="15%">時刻</th>
			<th width="15%">ID'.(($_REQUEST['labelview'] != 1) ? '[ラベル]' : '').'</th>
			<th width="9%">拍手数</th>
			<th>メッセージ'.(($_REQUEST['hostview'] != 1) ? '[ホスト/IP]' : '').'</th>
		</tr>
		'.$trtmp.'
	</table>
	';

	echo '<ul class="pagemove">';

	// 前へ
	if ($page != 1) {
		$back = $page - 1;
		echo '<li><a href="'.$url.'&page='.$back.'">&laquo; 前へ</a></li>';
	}

	// ページ移動
	$x = (($allclap != 0) && ($CSTM['clappagemax'] != 0)) ? ceil($allclap / $CSTM['clappagemax']) : 0;
	for ($y = 1; $y <= $x; $y++) {
		if ($y == $page) {
			echo '<li><b>'.$y.'</b></li>';
		} else {
			echo '<li><a href="'.$url.'&page='.$y.'">'.$y.'</a></li>';
		}
	}

	// 次へ
	if (($page * $CSTM['clappagemax']) < $allclap) {
		$next = $page + 1;
		echo '<li><a href="'.$url.'&page='.$next.'">次へ &raquo;</a></li>';
	}

	echo '</ul>';
}

//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
// ▼ ID一覧
//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
function id_total() {
	global $CSTM, $PATH, $LABEL;

	// 個別拍手データ取得
	$i = 0;
	$IDFILE = array();
	if ($dir = opendir($PATH['datadir'].$PATH['iddir'])) {
		while (($idfile = readdir($dir)) !== false) {
			if ($idfile != "." && $idfile != ".." && preg_match("/\.dat$/i", $idfile) && !is_dir($PATH['datadir'].$PATH['iddir'].$idfile)) {
				$LINE = file($PATH['datadir'].$PATH['iddir'].$idfile);
				list($count, $evcnt, $evttl) = explode("\t", $LINE[0]);

				// ID
				$id = basename($idfile, '.dat');

				// ソート用ID作成時刻（コンバートされたIDは同時刻なため番号の数をそのまま秒数として足す）
				$ftime = filectime($PATH['datadir'].$PATH['iddir'].$idfile);
				if (!preg_match("/\D+/", $id)) $ftime += $id;

				// 評価
				$rev = (($evttl != 0) && ($evcnt != 0)) ? sprintf("%.1f", ($evttl / $evcnt)) : '0.0';

				array_push($IDFILE, array($id, $ftime, $count, $rev));
			}
		}
		closedir($dir);
	}

	// ソート
	usort ($IDFILE, "psort");

	echo '
	<form action="'.$PATH['script'].'" method="POST">
	<input type="hidden" name="mode" value="id_edit">
	<input type="hidden" name="password" value="'.$_REQUEST['password'].'">
	<table id="claptable">
		<caption>ID一覧</caption>
		<tr>
			<th width="20%">ID</th>
			<th width="40%">ラベル</th>
			<th width="15%">
				拍手数
				<a href="'.$PATH['script'].'?password='.$_REQUEST['password'].'&mode=id_total&sort=down_clap"><img src="./img/down.gif" width="12" height="12" /></a>
				<a href="'.$PATH['script'].'?password='.$_REQUEST['password'].'&mode=id_total&sort=up_clap"><img src="./img/up.gif" width="12" height="12" /></a>
			</th>
			<th width="18%">
				平均評価
				<a href="'.$PATH['script'].'?password='.$_REQUEST['password'].'&mode=id_total&sort=down_rev"><img src="./img/down.gif" width="12" height="12" /></a>
				<a href="'.$PATH['script'].'?password='.$_REQUEST['password'].'&mode=id_total&sort=up_rev"><img src="./img/up.gif" width="12" height="12" /></a>
			</th>
			<th width="7%"></th>
		</tr>
		';

		$allpage = 0;
		$page = (!empty($_GET['page'])) ? $_GET['page'] : 1;
		foreach ($IDFILE as $LINE) {
			$allpage++;

			if (($page > 1 && $allpage <= (($page-1) * $CSTM['idpagemax'])) or $allpage > ($page * $CSTM['idpagemax'])) continue;

			list($id, $time, $count, $rev) = $LINE;

			echo '
			<tr>
				<td>'.$id.'</td>
				<td><input type="text" name="'.$id.'" value="'.$LABEL[$id].'" size="30" />
				<input type="submit" value="設定"></td>
				<td><span style="color: #CC3333;">'.$count.'</span></td>
				<td>'.$rev.' </td>
				<td><input type="button" value="削除" onclick="location.href=\''.$PATH['script'].'?password='.$_REQUEST['password'].'&mode=id_delete&id='.$id.'\';"></td>
			</tr>
			';
		}

	echo '
	</table>
	</form>
	';

	$url = $PATH['script'].'?password='.$_REQUEST['password'].'&mode=id_total&sort='.$_GET['sort'];

	echo '<ul class="pagemove">';

	// 前へ
	if ($page != 1) {
		$back = $page - 1;
		echo '<li><a href="'.$url.'&page='.$back.'">&laquo; 前へ</a></li>';
	}

	// ページ移動
	$x = (($allpage != 0) && ($CSTM['idpagemax'] != 0)) ? ceil($allpage / $CSTM['idpagemax']) : 0;
	for ($y = 1; $y <= $x; $y++) {
		if ($y == $page) {
			echo '<li><b>'.$y.'</b></li>';
		} else {
			echo '<li><a href="'.$url.'&page='.$back.'">'.$y.'</a></li>';
		}
	}

	// 次へ
	if (($page * $CSTM['idpagemax']) < $allpage) {
		$next = $page + 1;
		echo '<li><a href="'.$url.'&page='.$next.'">次へ &raquo;</a></li>';
	}

	echo '</ul>';

	echo '
	・ラベルはIDを識別しやすくするために任意で設定してください。
	<hr />
	<form action="'.$PATH['script'].'" method="POST">
	<input type="hidden" name="mode" value="id_new">
	<input type="hidden" name="password" value="'.$_REQUEST['password'].'">
	<table id="claptable">
		<caption>ID作成</caption>
		<tr>
			<th>ID</th>
			<th>ラベル</th>
		</tr>
		<tr>
			<td width="20%"><input type="text" name="id" size="10" /></td>
			<td width="40%"><input type="text" name="label" size="30" /></td>
			<td width="40%"><input type="submit" value="作成" /></td>
		</tr>
	</table>
	</form>
	・IDは基本的に自動作成されますが、上記フォームから手動で作成することも可能です。
	';
}

// ▼ ソート
function psort($A, $B) {
	if ($_GET['sort'] === 'down_clap') { $PCMP = strnatcmp($B[2], $A[2]);
	} elseif ($_GET['sort'] === 'up_clap') { $PCMP = strnatcmp($A[2], $B[2]);
	} elseif ($_GET['sort'] === 'down_rev') { $PCMP = strnatcmp($B[3], $A[3]);
	} elseif ($_GET['sort'] === 'up_rev') { $PCMP = strnatcmp($A[3], $B[3]);
	} else { $PCMP = strnatcmp($A[1], $B[1]); }
	return $PCMP;
}

// ▼ ID作成
function id_new() {
	global $CSTM, $PATH;

	// ファイルチェック
	if (file_exists($PATH['datadir'].$PATH['iddir'].$_POST['id'].'.dat')) {
		echo 'そのIDは既存しています。';
		return;
	}

	// 半角英数チェック
	if (!preg_match("/^[\w\_\-]+$/", $_POST['id'])) {
		echo '<span style="color: #CC3333;">IDは半角英数のみです。</span>';
		return;
	}

	// ID名前保存ファイル追加書き込み
	$FN = fopen($PATH['datadir'].$PATH['labeldat'], "a");
	fputs($FN, $_POST['id']."\t".decode($_POST['label'])."\n");
	fclose($FN);

	// ID別保存ファイル書き込み
	$FN = fopen($PATH['datadir'].$PATH['iddir'].$_POST['id'].'.dat', "w");
	fputs($FN, "0\t0\t0");
	fclose($FN);

	echo '
	<table id="claptable">
		<caption>手動ID作成</caption>
	</table>
	<p>作成しました。</p>
	<p><a href="'.$PATH['script'].'?password='.$_REQUEST['password'].'&mode=id_total">←前のページへ</a></p>
	';
}

// ▼ ラベル変更
function id_edit() {
	global $CSTM, $PATH, $LABEL;

	$IDSET = array();
	if ($dir = opendir($PATH['datadir'].$PATH['iddir'])) {
		while (($idfile = readdir($dir)) !== false) {
			if ($idfile != "." && $idfile != ".." && preg_match("/\.dat$/i", $idfile) && !is_dir($PATH['datadir'].$PATH['iddir'].$idfile)) {
				$id = basename($idfile, '.dat');
				$name = (!empty($_POST[$id])) ? decode($_POST[$id]) : $LABEL[$id];
				array_push($IDSET, "$id\t$name\n");
			}
		}
		closedir($dir);
	}

	// ID名前保存ファイル書き込み
	$FN = fopen($PATH['datadir'].$PATH['labeldat'], "w");
	fputs($FN, implode('', $IDSET));
	fclose($FN);

	echo '
	<table id="claptable">
		<caption>ID一覧</caption>
	</table>
	<p>変更しました。</p>
	<p><a href="'.$PATH['script'].'?password='.$_REQUEST['password'].'&mode=id_total">←前のページへ</a></p>
	';
}

// ▼ ID削除
function id_delete() {
	global $CSTM, $PATH;

	// ID別保存ファイル削除
	unlink($PATH['datadir'].$PATH['iddir'].$_GET['id'].'.dat');

	echo '
	<table id="claptable">
		<caption>ID一覧</caption>
	</table>
	<p>削除しました。</p>
	<p><a href="'.$PATH['script'].'?password='.$_REQUEST['password'].'&mode=id_total">←前のページへ</a></p>
	';
}

//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
// ▼ 機能設定
//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
function config() {
	global $CSTM, $PATH;

	// 機能設定取得
	$CONFIG = array();
	$CFGFILE = file($PATH['datadir'].$PATH['configdat']);
	foreach ($CFGFILE as $line) {
		list($name, $value) = explode("=", rtrim($line, "\n"));
		$CONFIG[$name] = $value;
	}

	$CHECKED['1'] = ' checked="checked"';

	echo '
	<form action="'.$PATH['script'].'" method="POST">
	<input type="hidden" name="mode" value="config_write">
	<input type="hidden" name="password" value="'.$_REQUEST['password'].'">
	<table id="claptable">
		<caption>機能設定</caption>
		<tr>
			<td width="25%"><b>拍手ボタンタイプ</b></td>
			<td width="75%">
				<input type="radio" name="btntype" value="normal"'. (($CONFIG['btntype'] === 'normal') ? ' checked="checked"' : ''). ' /> 
					<button type="button" class="mwhm_clapbutton" title="WEB拍手">
						<span class="mwhm_clapcount">123</span> 拍手
					</button>
				<div style="margin: 5px;"></div>
				<input type="radio" name="btntype" value="arrow"'. (($CONFIG['btntype'] === 'arrow') ? ' checked="checked"' : ''). ' />
					<button type="button" class="mwhm_clapbutton" title="WEB拍手">拍手</button
					><span class="mwhm_arrow"><span class="pdg"><span class="mwhm_clapcount">123</span></span></span>
			</td>
		</tr>
		<tr>
			<td><b>拍手後メッセージ</b></td>
			<td>
				<textarea name="thanks" rows="6" cols="50">'.preg_replace("/<br \/>/", "\n", $CONFIG['thanks']).'</textarea>
			</td>
		</tr>
		<tr>
			<td><b>拍手数表示形式</b></td>
			<td>
				<label><input type="radio" name="clapnum" value="total"'.(($CONFIG['clapnum'] === 'total') ? ' checked="checked"' : '').' /> 総拍手数を表示</label><br />
				<label><input type="radio" name="clapnum" value="myclap"'.(($CONFIG['clapnum'] === 'myclap') ? ' checked="checked"' : '').' /> 自分の拍手数を表示</label><br />
				<label><input type="radio" name="clapnum" value="total_myclap"'.(($CONFIG['clapnum'] === 'total_myclap') ? ' checked="checked"' : '').' /> 総拍手数＋自分の拍手数を表示</label><br />
				<label><input type="radio" name="clapnum" value="none"'.(($CONFIG['clapnum'] === 'none') ? ' checked="checked"' : '').' /> 拍手数を表示しない</label><br />
				※「自分の拍手数の表示」にはCookieを使用
			</td>
		</tr>
		<tr>
			<td><b>連続拍手限度</b></td>
			<td>
				<input type="text" name="chain" value="'.$CONFIG['chain'].'" size="4" />（0か未入力で無制限）<br />
				<label><input type="checkbox" name="hostctrl" value="1"'.$CHECKED[$CONFIG['hostctrl']].' /> ホスト/IPで制御</label><br />
				<label><input type="checkbox" name="cookiectrl" value="1"'.$CHECKED[$CONFIG['cookiectrl']].' /> Cookieで制御</label>
			</td>
		</tr>
		<tr>
			<td><b>入力欄</b></td>
			<td>
				<label><input type="checkbox" name="iptmess" value="1"'.$CHECKED[$CONFIG['iptmess']].' /> メッセージ入力欄を設ける</label><br />
				<label><input type="checkbox" name="tkbnfunc" value="1"'.$CHECKED[$CONFIG['tkbnfunc']].' /> 定型文を設ける</label><br />
				<label><input type="checkbox" name="iptname" value="1"'.$CHECKED[$CONFIG['iptname']].' /> 名前入力欄を設ける</label><br />
				<label><input type="checkbox" name="iptrev" value="1"'.$CHECKED[$CONFIG['iptrev']].' /> 評価入力欄を設ける</label>
			</td>
		</tr>
		<tr>
			<td><b>定型文</b></td>
			<td>
				<textarea name="tkbn" rows="6" cols="40">'.preg_replace("/<br \/>/", "\n", $CONFIG['tkbn']).'</textarea><br />
				改行で区切ってください。
			</td>
		</tr>
		<tr>
			<td><b>メール送信</b></td>
			<td>
				<label><input type="checkbox" name="messsend" value="1"'.$CHECKED[$CONFIG['messsend']].' /> メッセージがあればメールを送る</label><br />
				<label><input type="checkbox" name="tkbnsend" value="1"'.$CHECKED[$CONFIG['tkbnsend']].' /> 定型文があればメールを送る</label><br />
				<label><input type="checkbox" name="namesend" value="1"'.$CHECKED[$CONFIG['namesend']].' /> 名前があればメールを送る</label><br />
				<label><input type="checkbox" name="evalsend" value="1"'.$CHECKED[$CONFIG['evalsend']].' /> 評価があればメールを送る</label><br />
				送信先メールアドレス: <input type="text" name="mail" value="'.$CONFIG['mail'].'" size="30" />
			</td>
		</tr>
		<tr>
			<td><b>アクセス制限するホスト/IP</b></td>
			<td>
				<textarea name="denyhost" rows="6" cols="40">'.preg_replace("/<br \/>/", "\n", $CONFIG['denyhost']).'</textarea><br />
				改行で区切ってください。アスタリスク(*)が使用可能です。
			</td>
		</tr>
		<!-- 
		<tr>
			<td><b>管理画面設定</b></td>
			<td>
				日付別拍手1ページ表示数: <input type="text" name="clappagemax" value="'.$CONFIG['clappagemax'].'" size="5" />
				<div style="margin: 5px;"></div>
				ID一覧1ページ表示数: <input type="text" name="idpagemax" value="'.$CONFIG['idpagemax'].'" size="5" />
			</td>
		</tr>
		 -->
		<tr>
			<td></td>
			<td>
				<input type="submit" value="　送信　" disabled="disabled" />
			</td>
		</tr>
	</table>
	</form>
	';
}

//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
// ▼ デコード
//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
function decode($str) {
	//$str = JcodeConvert($str, 2, 4);
	$str = mb_convert_encoding($str, "utf-8", "auto");
	$str = preg_replace("/\t/", " ", $str);
	$str = preg_replace("/</", "&lt;", $str);
	$str = preg_replace("/>/", "&gt;", $str);
	$str = preg_replace("/\r\n|\n|\r/", "<br />", $str);

    return $str;
}

//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
// ▼ ログイン
//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
function login() {
	htmlheader();

	echo <<< _HTML_
<div id="loginform">
	<form action="{$PATH['script']}" method="GET">
	管理者パスワード: <input type="password" size="10" name="password" value="" />
	<input type="submit" value="ログイン" /><br />
	Cookie: <input type="checkbox" name="cookie" value="1" checked="checked" />
	</form>
</div>
_HTML_;

	htmlfooter();
}

//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
// ▼ ヘッダ・フッタ
//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
function htmlheader($menu = '') {
	global $CSTM, $PATH;

	$css = ((!empty($_REQUEST['color'])) ? $_REQUEST['color'] : 'defolt'). '.css';

	@header('Content-Type: text/html; charset: utf-8');

	echo <<< _HTML_
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="ja">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<link rel="stylesheet" type="text/css" href="{$PATH['cssdir']}{$css}">
	<link rel="stylesheet" type="text/css" href="{$PATH['cssdir']}{$PATH['mwhmcss']}">
	<title>まいるどWEB拍手</title>
</head>
<body>
<div id="container">
	<div id="screen">
		<div id="contents">
			<h3><a href="{$PATH['script']}?password={$_REQUEST['password']}">まいるどWEB拍手</a></h3>
			<hr />
_HTML_;
			if ($menu == 1) {
				echo '
				<div id="menu">
					[ <a href="'.$PATH['script'].'?password='.$_REQUEST['password'].'">日付別拍手</a> |
					<a href="'.$PATH['script'].'?password='.$_REQUEST['password'].'&mode=id_total">ID一覧</a> |
					<a href="'.$PATH['script'].'?password='.$_REQUEST['password'].'&mode=config">機能設定</a> ]
				</div>
				';
			}
}
function htmlfooter() {
			global $version;

			echo <<< _HTML_
			<div style="clear: both;"></div>
		</div>
		<div id="footer"><a href="http://mcgi.jpn.ch/" target="_blank">まいるどWEB拍手 {$version}</a></div>
	</div><!-- screen -->
</div><!-- container -->
</body>
</html>
_HTML_;
}

//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
// ▼ エラー
//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
function error($error) {
	htmlheader();

	echo <<< _HTML_
<p><font color="#CC3333">&gt; エラー</font></p>
<p>$error</p>
<p><a href="JavaScript:history.back();">前のページに戻る</a></p>
_HTML_;

	htmlfooter();
	exit;
}

?>
